Package org.apache.sysds.runtime.compress.bitmap

## Class MultiColBitmap

- java.lang.Object
- - org.apache.sysds.runtime.compress.bitmap.ABitmap
  - - org.apache.sysds.runtime.compress.bitmap.MultiColBitmap

    public final class MultiColBitmap
    extends ABitmap

Uncompressed representation of one or more columns in bitmap format.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumColumns()` Get the number of columns encoded in this bitmap
`int` `getNumNonZerosInOffset​(int idx)` Get the number of non zeros in a specific offset's tuple value.
`double[]` `getValues​(int ix)` Obtain tuple of column values associated with index.

### Methods inherited from class org.apache.sysds.runtime.compress.bitmap.ABitmap

`containsZero, getNumOffsets, getNumOffsets, getNumValues, getNumZeros, getOffsetList, getOffsetsList, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getValues

    public double[] getValues​(int ix)

Obtain tuple of column values associated with index.

Parameters:
  `ix` - index of a particular distinct value
Returns:
  the tuple of column values associated with the specified index

#### getNumNonZerosInOffset

    public int getNumNonZerosInOffset​(int idx)

Description copied from class: `ABitmap`
Get the number of non zeros in a specific offset's tuple value.

Specified by:
  `getNumNonZerosInOffset` in class `ABitmap`
Parameters:
  `idx` - The offset index to look at.
Returns:
  The nnz in the tuple.

#### getNumColumns

    public int getNumColumns()

Description copied from class: `ABitmap`
Get the number of columns encoded in this bitmap

Specified by:
  `getNumColumns` in class `ABitmap`
Returns:
  The column count